
Supercharge - Feature #17258

Keycloak 22.0.1

21 August 2023 11:46 PM - David Wong

Status: Resolved Start date: 21 August 2023

Priority: Normal Due date: 25 August 2023

Assignee: David Wong % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Deploy Keycloak 22.0,01. Requirement config are as follows:

- start as PRODUCTION

- self signed SSL

- PVC 1Gi, volume hostPath TBC

- Expose Admin realm. This is to enable user to create new Realms and user management

History

#1 - 21 August 2023 11:46 PM - David Wong

Use this blog as guide:

https://medium.com/thefreshwrites/secure-spring-boot-rest-api-with-keycloak-2f9d8d99feb0

#2 - 25 August 2023 10:36 PM - David Wong

- Due date set to 25 August 2023

- Status changed from New to Resolved

- % Done changed from 0 to 100

Deployed into Kubernetes:

Manifest committed into GitLab

To access the Keycloak: http://keycloak.mleb-dev.172.16.25.67.sslip.io/keycloak
